Skip to content
View as Markdown

POST Bulk Action Campaigns​

POST
/campaigns/do-bulk-action

Perform a bulk action on multiple campaigns. Supported actions: delete_campaigns to permanently delete selected campaigns and all associated data, apply_labels to attach labels to selected campaigns. Use select_all to apply the action to all campaigns.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"action_name": "string",
"campaign_ids": [
0
],
"select_all": "string",
"labels": [
0
]
}

Responses​

Bulk action completed successfully.

application/json
JSON
{
"message": "string"
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI